/services/platforms/v1/platforms/info
Public
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
platform |
object | |
platform.platform_id |
string | |
platform.title |
string | |
platform.domain |
string | |
platform.domain_name |
mixed | |
platform.iframe_url |
string | |
platform.themes_demo_url |
string|null | |
platform.logo |
string | logo header |
platform.logo_class |
string | |
platform.logo_login |
string | logo login |
platform.logo_login_class |
string | |
platform.login_background_image |
string | |
platform.favicon_image_url |
string | |
platform.fonts |
object | |
platform.colors |
object | |
platform.tools_trial_config |
mixed[] | |
platform.gtm_container_id |
string|null | |
platform.widget_teasers |
mixed[] |
| Field | Type | Description |
|---|---|---|
message |
string | Error overview. |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
Retry-After |
integer | Seconds until the rate limit resets | 60 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
curl -X POST "https://api.wemasy.nl/api/services/platforms/v1/platforms/info" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
fetch('https://api.wemasy.nl/api/services/platforms/v1/platforms/info', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Accept': 'application/json' }})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
->accept('application/json')
->post('https://api.wemasy.nl/api/services/platforms/v1/platforms/info');
$data = $response->json();
import requests
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
r = requests.post("https://api.wemasy.nl/api/services/platforms/v1/platforms/info", headers=headers)
print(r.json())
{
"platform": {
"platform_id": 1,
"title": "WEMASY",
"domain": "https://test",
"domain_name": "niku.test",
"iframe_url": "https://https://dashboard.wemasy.nl",
"themes_demo_url": "https://{theme_id}.themes.test",
"logo": "https://niku-solutions-dev.s3.eu-west-3.amazonaws.com/assets/platforms/9/1699636079056_9qwsrg_wemasy-logo.svg",
"logo_class": "h-[33px] w-full relative -top-[2px]",
"logo_login": "https://niku-solutions-dev.s3.eu-west-3.amazonaws.com/assets/platforms/9/1699636079056_9qwsrg_wemasy-logo.svg",
"logo_login_class": "mb-8 h-8",
"login_background_image": "https://niku-solutions-dev.s3.eu-west-3.amazonaws.com/assets/platforms/9/1700037150150_md0v79_22Middel 2.svg",
"favicon_image_url": "https://niku-solutions-dev.s3.eu-west-3.amazonaws.com/assets/platforms/9/websites/102907/1733754960109_4p60vf_favicon.png",
"fonts": {
"styles": "",
"font_primary": "worksans",
"font_default": "worksans"
},
"colors": {
"primary_300": "243, 118, 110",
"primary_500": "237, 51, 38",
"primary_700": "168, 36, 27"
},
"tools_trial_config": {
"webshop": {
"trial_days": 7,
"has_trial": true
},
"analytics_insights": {
"trial_days": 7,
"has_trial": true
},
"website_builder": {
"trial_days": 7,
"has_trial": true
},
"forms": {
"trial_days": 7,
"has_trial": true
},
"ads_protection": {
"trial_days": 7,
"has_trial": true
},
"operations": {
"trial_days": 7,
"has_trial": true
}
},
"gtm_container_id": null,
"widget_teasers": [
{
"id": "getting_started_website_builder",
"title": "\ud83d\udc4b Getting started \u2014 your first tasks",
"tool_code": "website_builder",
"card_id": 4109
},
{
"id": "getting_started_analytics",
"title": "\ud83d\udc4b Getting started \u2014 Analytics",
"tool_code": "analytics_insights",
"card_id": 4109
}
]
}
}